<template>
	<section class="settings_main">
		<div class="p-3 w-100">

			<div class="base_block p-3 mb-3">
				<form class="dash_ftr">
					<div class="d-flex align-items-center py-2 mr-4 position-relative">
						<label style="width: 140px;" class="col-form-label">{{$store.state.locale.beginDate}}:</label>
						<datepicker
								v-model="fromDate"
								:config="options">
						</datepicker>
					</div>

					<div class="d-flex align-items-center py-2 mr-4 position-relative">
						<label style="width: 180px;" class="col-form-label">{{$store.state.locale.endDate}}:</label>
						<datepicker
								v-model="toDate"
								:config="options">
						</datepicker>
					</div>
					<div class="d-flex align-items-center py-2 mr-4">
						<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.caller }}:</div>
						<div class="base_select_alt dash_ftr_inp">
							<input class="form-control" type="text" v-model="caller">
						</div>
					</div>
					<div class="d-flex align-items-center py-2 mr-4">
						<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.operator }}:</div>
						<div class="base_select_alt dash_ftr_inp">
							<input class="form-control" type="text" v-model="operator">
						</div>
					</div>
					<div class="d-flex align-items-center py-2 mr-4">
						<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.status }}:</div>
						<div class="base_select_alt dash_ftr_inp">
							<select class="form-control " v-model="status">
								<option :value="0">{{ $store.state.locale.all }}</option>
								<option :value="1">{{ $store.state.locale.new }}</option>
								<option :value="6">{{ $store.state.locale.inProcess }}</option>
								<option :value="3">{{ $store.state.locale.close }}</option>
							</select>
							<i class="mdi mdi-menu-down"></i>
						</div>
					</div>
					<div class="d-flex align-items-center py-2 mr-4" style="width: 35%">
						<div class="dash_ftr_lbl mr-2">{{ $store.state.locale.applicationDes }}:</div>
						<div class="base_select_alt" style="width: 100%">
							<input class="form-control" type="text" v-model="content">
						</div>
					</div>


					<button @click="filer()" type="button" class="btn call_save_btn dash_ftr_btn">{{
						$store.state.locale.filter }}
					</button>
				</form>
			</div>

			<div class="settings_content_inr base_block">
				<div class="settings_panel p-3">
					<div class="settings_panel_ttl">
						<div class="txt">{{$store.state.locale.ticket}}</div>
					</div>

					<div class="settings_panel_cnt">
						<div class="table-responsive settings_content_tb">
							<table class="table table-striped table-hover">
								<thead>
								<tr>
									<th>#</th>
									<th>{{ $store.state.locale.date }}</th>
									<th>{{ $store.state.locale.caller }}</th>
									<th>{{ $store.state.locale.applicationDes }}</th>
									<th>{{ $store.state.locale.operator }}</th>
									<th>{{ $store.state.locale.deadline }}</th>
									<th>{{ $store.state.locale.status }}</th>
								</tr>
								</thead>

								<tbody>
								<tr v-for="(item, key) in cards">
									<td>{{key + 1}}</td>
									<td>{{item.dateTime | formatDateSecond}}</td>
									<td>{{item.phoneNumber}}</td>
									<td v-html="item.notes"></td>
									<td>{{item.operatorUserId}}</td>
									<td>{{item.deadline | formatDateSecond}}</td>
									<td>{{item.status}}</td>
								</tr>
								</tbody>
							</table>
							<div class="" style="display: flex; justify-content: center; margin-top: 10px;">
								<paginate
										:page-count="pagesCount"
										v-if="pagesCount > 1"
										:click-handler="paginateData"
										container-class="pagination base_pagination"
										page-class="page-item"
										prev-class="page-item ctrl"
										next-class="page-item ctrl"
										page-link-class="page-link"
										prev-link-class="page-link"
										next-link-class="page-link"
										prev-text="<i class='mdi mdi-chevron-left'></i>"
										next-text="<i class='mdi mdi-chevron-right'></i>"
										:page-range="3"
										:margin-pages="1">
								</paginate>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</template>

<script src="./script.js">

</script>

<style scoped>
	/*.position-relative {*/
	/*	max-width: 20%;*/
	/*}*/

	.form-control {
		height: 42px;
	}
</style>